#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 zip-archive
version:              0.4.3.2
visibility:           public
id:                   zip-archive-0.4.3.2-Cy07UtMf7xPKcGVIUE1WF3
key:                  zip-archive-0.4.3.2-Cy07UtMf7xPKcGVIUE1WF3
license:              BSD-3-Clause
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             http://github.com/jgm/zip-archive
synopsis:             Library for creating and modifying zip archives.
description:
    The zip-archive library provides functions for creating, modifying, and
    extracting files from zip archives. The zip archive format is
    documented in <http://www.pkware.com/documents/casestudies/APPNOTE.TXT>.

    Certain simplifying assumptions are made about the zip archives: in
    particular, there is no support for strong encryption, zip files that
    span multiple disks, ZIP64, OS-specific file attributes, or compression
    methods other than Deflate. However, the library should be able to read
    the most common zip archives, and the archives it produces should be
    readable by all standard unzip programs.

    Archives are built and extracted in memory, so manipulating large zip
    files will consume a lot of memory. If you work with large zip files or
    need features not supported by this library, a better choice may be
    <http://hackage.haskell.org/package/zip zip>, which uses a
    memory-efficient streaming approach. However, zip can only read and
    write archives inside instances of MonadIO, so zip-archive is a better
    choice if you want to manipulate zip archives in "pure" contexts.

    As an example of the use of the library, a standalone zip archiver and
    extracter is provided in the source distribution.

category:             Codec
abi:                  b09227602c95be57ff10bb84263a16ae
exposed:              True
exposed-modules:      Codec.Archive.Zip
import-dirs:          /usr/lib/ghc-9.8.2/site-local/zip-archive-0.4.3.2
library-dirs:         /usr/lib/ghc-9.8.2/site-local/zip-archive-0.4.3.2
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/zip-archive-0.4.3.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/zip-archive-0.4.3.2
hs-libraries:         HSzip-archive-0.4.3.2-Cy07UtMf7xPKcGVIUE1WF3
depends:
    array-0.5.6.0-inplace base-4.19.1.0-inplace binary-0.8.9.1-inplace
    bytestring-0.12.1.0-inplace containers-0.6.8-inplace
    digest-0.0.2.1-K5aSOy7Krqw3Axn8aumych directory-1.3.8.1-inplace
    filepath-1.4.200.1-inplace mtl-2.3.1-inplace pretty-1.1.3.6-inplace
    text-2.1.1-inplace time-1.12.2-inplace unix-2.8.4.0-inplace
    zlib-0.7.0.0-KA5GJxQbWlMGP8MlxU54pC

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/zip-archive-0.4.3.2/html/zip-archive.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/zip-archive-0.4.3.2/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

